Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Class UlcTransportException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.ibm.ulc.comm.UlcTransportException

public class UlcTransportException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`UlcTransportException()` UlcConnectionException constructor comment.
`UlcTransportException(int reason, java.lang.Error caughtError)` UlcConnectionException constructor.
`UlcTransportException(int reason, java.lang.Exception caughtException)` UlcConnectionException constructor.
`UlcTransportException(java.lang.String msg, int reason, java.lang.Error caughtError)` UlcConnectionException constructor.
`UlcTransportException(java.lang.String msg, int reason, java.lang.Exception caughtException)` UlcConnectionException constructor.

Method Summary
`java.lang.Error` | `getCaughtError()`
`java.lang.Exception` | `getCaughtException()`
`int` | `getReason()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UlcTransportException

    public UlcTransportException()

  UlcConnectionException constructor comment.

### UlcTransportException

    public UlcTransportException(int reason,
                                 java.lang.Error caughtError)

  UlcConnectionException constructor.

### UlcTransportException

    public UlcTransportException(int reason,
                                 java.lang.Exception caughtException)

  UlcConnectionException constructor.

### UlcTransportException

    public UlcTransportException(java.lang.String msg,
                                 int reason,
                                 java.lang.Error caughtError)

  UlcConnectionException constructor.

### UlcTransportException

    public UlcTransportException(java.lang.String msg,
                                 int reason,
                                 java.lang.Exception caughtException)

  UlcConnectionException constructor.

Method Detail

### getCaughtError

    public java.lang.Error getCaughtError()

### getCaughtException

    public java.lang.Exception getCaughtException()

### getReason

    public int getReason()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD